function g = QCLgain_opt(X, K, zw0, zb1, zw1, zb2, zw2, U0, En, eta)

global DELTA LAMBDA TEMP

param1_opt
param2_opt

Unef = U0 * bwbwbwb;

N = 3;

% parallel effective mass of the n-th subband
% -------------------------------------------------------------------------
mp1 = mw * (1 + (2 * alpha1p + beta1p) * (En(1) - Unef));
mp1 = 1 / (sum(eta(1, :) .^ 2 .* (1 ./ mp1)) * dz);
mp2 = mw * (1 + (2 * alpha1p + beta1p) * (En(2) - Unef));
mp2 = 1 / (sum(eta(2, :) .^ 2 .* (1 ./ mp2)) * dz);
mp3 = mw * (1 + (2 * alpha1p + beta1p) * (En(3) - Unef));
mp3 = 1 / (sum(eta(3, :) .^ 2 .* (1 ./ mp3)) * dz);
% -------------------------------------------------------------------------

% dipole matrix element
d32 = dipol(eta(3, :), eta(2, :), En(3), En(2), mp3, mp2);

if or(DELTA==0, LAMBDA==0)
    LOonly_opt; % if an IR parameter is zero, only LO-phonon scattering influence on the operation of QCL
    g = (1 - MTAUlo(2, 1) / MTAUlo(3, 2)) * TAU3lo * (d32 * 1e8) ^ 2;
else
    LOandIR_opt; % consider LO-phonon and IR scattering
    g = (1 - MTAUloir(2, 1) / MTAUloir(3, 2)) * TAU3loir * (d32 * 1e8) ^ 2;
end

end

