% QCL parametrs

% Coefficient of Al(X)Ga(1 - X)As alloy composite
textX = uicontrol('Parent',panelParameters,'Style','text',...
    'String','X =',...
    'BackgroundColor',[.9 .9 .9],...    
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.051*XY(3) 0.39*XY(4) 0.02*XY(3) 0.025*XY(4)]);   
editX = uicontrol('Parent',panelParameters,'Style','edit',...    
    'String',X,...
    'enable', 'inactive',...    
    'BackgroundColor','w',...
    'ForegroundColor',[.5 .5 .5],...    
    'HorizontalAlignment','right',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.072*XY(3) 0.395*XY(4) 0.04*XY(3) 0.025*XY(4)],...
    'Callback','change_X;');

% Electric field
textK = uicontrol('Parent',panelParameters,'Style','text',...    
    'String','E =',...    
    'BackgroundColor',[.9 .9 .9],...    
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontName', 'symbol',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.051*XY(3) 0.35*XY(4) 0.02*XY(3) 0.025*XY(4)]);   
editK = uicontrol('Parent',panelParameters,'Style','edit',...    
    'String',K*1e-3,...
    'enable', 'inactive',...
    'BackgroundColor','w',...
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','right',...    
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.072*XY(3) 0.355*XY(4) 0.04*XY(3) 0.025*XY(4)],...
    'Callback','change_K;');
unitK = uicontrol('Parent',panelParameters,'Style','text',...
    'String','kV / m',...
    'BackgroundColor',[.9 .9 .9],...
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.115*XY(3) 0.35*XY(4) 0.04*XY(3) 0.025*XY(4)]);

% Dimensions of structure (wells and barriers)
textZ1 = uicontrol('Parent',panelParameters,'Style','text',...
    'String','well(1) =',...
    'BackgroundColor',[.9 .9 .9],...    
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...    
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.024*XY(3) 0.31*XY(4) 0.06*XY(3) 0.025*XY(4)]);   
editZ1 = uicontrol('Parent',panelParameters,'Style','edit',...    
    'String',zw0,...
    'enable', 'inactive',...
    'BackgroundColor','w',...
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','right',...    
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.072*XY(3) 0.315*XY(4) 0.04*XY(3) 0.025*XY(4)],...
    'Callback','change_Z1;');
unitZ1 = uicontrol('Parent',panelParameters,'Style','text',...
    'String',char(197),...
    'BackgroundColor',[.9 .9 .9],...
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.115*XY(3) 0.308*XY(4) 0.02*XY(3) 0.025*XY(4)]);

textZ2 = uicontrol('Parent',panelParameters,'Style','text',...
    'String','barrier(1) =',...
    'BackgroundColor',[.9 .9 .9],...    
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...       
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.01*XY(3) 0.27*XY(4) 0.08*XY(3) 0.025*XY(4)]);   
editZ2 = uicontrol('Parent',panelParameters,'Style','edit',...    
    'String',zb1,...
    'enable', 'inactive',...
    'BackgroundColor','w',...
    'ForegroundColor',[.5 .5 .5],...        
    'HorizontalAlignment','right',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.072*XY(3) 0.275*XY(4) 0.04*XY(3) 0.025*XY(4)],...
    'Callback','change_Z2;');
unitZ2 = uicontrol('Parent',panelParameters,'Style','text',...
    'String',char(197),...
    'BackgroundColor',[.9 .9 .9],...
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.115*XY(3) 0.268*XY(4) 0.02*XY(3) 0.025*XY(4)]);

textZ3 = uicontrol('Parent',panelParameters,'Style','text',...
    'String','well(2) =',...
    'BackgroundColor',[.9 .9 .9],...        
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.024*XY(3) 0.23*XY(4) 0.06*XY(3) 0.025*XY(4)]);   
editZ3 = uicontrol('Parent',panelParameters,'Style','edit',...    
    'String',zw1,...
    'enable', 'inactive',...       
    'BackgroundColor','w',...
    'ForegroundColor',[.5 .5 .5],... 
    'HorizontalAlignment','right',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.072*XY(3) 0.235*XY(4) 0.04*XY(3) 0.025*XY(4)],...
    'Callback','change_Z3;');
unitZ3 = uicontrol('Parent',panelParameters,'Style','text',...
    'String',char(197),...
    'BackgroundColor',[.9 .9 .9],...
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.115*XY(3) 0.228*XY(4) 0.02*XY(3) 0.025*XY(4)]);

textZ4 = uicontrol('Parent',panelParameters,'Style','text',...
    'String','barrier(2) =',...
    'BackgroundColor',[.9 .9 .9],...    
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.01*XY(3) 0.19*XY(4) 0.08*XY(3) 0.025*XY(4)]);   
editZ4 = uicontrol('Parent',panelParameters,'Style','edit',...    
    'String',zb2,...
    'enable', 'inactive',...
    'BackgroundColor','w',...
    'ForegroundColor',[.5 .5 .5],...    
    'HorizontalAlignment','right',...    
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.072*XY(3) 0.195*XY(4) 0.04*XY(3) 0.025*XY(4)],...
    'Callback','change_Z4;');
unitZ4 = uicontrol('Parent',panelParameters,'Style','text',...
    'String',char(197),...
    'BackgroundColor',[.9 .9 .9],...
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.115*XY(3) 0.188*XY(4) 0.02*XY(3) 0.025*XY(4)]);

textZ5 = uicontrol('Parent',panelParameters,'Style','text',...
    'String','well(3) =',...
    'BackgroundColor',[.9 .9 .9],...        
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.024*XY(3) 0.15*XY(4) 0.06*XY(3) 0.025*XY(4)]);   
editZ5 = uicontrol('Parent',panelParameters,'Style','edit',...    
    'String',zw2,...
    'enable', 'inactive',...
    'BackgroundColor','w',...
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','right',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.072*XY(3) 0.155*XY(4) 0.04*XY(3) 0.025*XY(4)],...
    'Callback','change_Z5;');
unitZ5 = uicontrol('Parent',panelParameters,'Style','text',...
    'String',char(197),...
    'BackgroundColor',[.9 .9 .9],...
    'ForegroundColor',[.5 .5 .5],...
    'HorizontalAlignment','left',...
    'FontWeight', 'bold',...
    'FontSize',15*font_scale,...
    'Units','pixels',...
    'Position',[0.115*XY(3) 0.148*XY(4) 0.02*XY(3) 0.025*XY(4)]);
     