function [J Nnl] = iterrateequ(MW, jnl, N, B)
% Iteratively solving of rate equations

    global SCFAC NS N10

    Nnl = zeros(1, N);
    
    fbar = fbarNnlB(Nnl, B);
    Nnl0 = Nnl;
    
    q = 1;
    while (q)
        fbarMw = zeros(N, N);
        for i = 1 : N
            for j = 1 : N
                if (i == j)
                    fbarMw(i, i) = sum(fbar .* MW(i, :));
                else
                    fbarMw(j, i) = - fbar(i) * MW(j, i);
                end
            end
        end
    
        fbarMw = fbarMw';
    
        MA = fbarMw / SCFAC;
        MA(1, :) =  ones(1, N);
        cB = ([NS, zeros(1, N - 1)]' - N10 * MA(:, 1)) / SCFAC;
        MA(:, 1) = [0, jnl(2 : N)]' / SCFAC ^ 2;
    
        cx = mldivide(MA, cB);
        if ((min(cx) < 0) || (max(abs(MA * cx - cB)) > eps * SCFAC ^ 2))
            disp(['Error in solving rate equations for B = ', int2str(B), '!'])
        end
        
        J = cx(1);
        Nnl = [N10, cx(2 : N)' * SCFAC];
        
        fbar = fbarNnlB(Nnl, B);
        if (((0.99 < min(fbar)) && (max(fbar) <= 1)) || (max(abs(Nnl - Nnl0)) < SCFAC))
            q = 0;
        else
            Nnl0 = Nnl;
        end
    end
    
end

